package com.crm.manager.dao.mapper;

import com.crm.rely.backend.model.pojo.view.CustomView;
import com.crm.rely.backend.model.entity.custom.info.CustomSearchEntity;
import org.springframework.stereotype.Repository;

import java.util.List;

/**
 * Created by max on 2020/6/16.
 */
@Repository
public interface CustomInfoDao {

    List<CustomView> listCustom(CustomSearchEntity entity);

    Integer countCustom(CustomSearchEntity entity);

    Long getAgentIdById(Long id);

    List<Long> getAgentIdListByIds(List<Long> ids);

    void deleteInBatch(List<Long> ids);

    CustomView getOneByCId(Long id);
}
